# keystoneauth1.loading.conf module

keystoneauth1.loading.conf.get_common_conf_options() → list[cfg.Opt]

  Get the oslo_config options common for all auth plugins.

  These may be useful without being registered for config file generation or to manipulate the options before registering them yourself.

  The options that are set are:
    auth_type:

      The name of the plugin to load.

    auth_section:

      The config file section to load options from.

  Returns:

    A list of oslo_config options.

keystoneauth1.loading.conf.get_plugin_conf_options(plugin: BaseLoader[BaseAuthPluginT] | str) → list[cfg.Opt]

  Get the oslo_config options for a specific plugin.

  This will be the list of config options that is registered and loaded by the specified plugin.

  Parameters:

    plugin (str or keystoneauth1.loading.BaseLoader) – The name of the plugin loader or a plugin loader object

  Returns:

    A list of oslo_config options.

keystoneauth1.loading.conf.load_from_conf_options(conf: cfg.ConfigOpts, group: str, **kwargs: Any) → keystoneauth1.plugin.BaseAuthPlugin | None

  Load a plugin from an oslo_config CONF object.

  Each plugin will register their own required options and so there is no standard list and the plugin should be consulted.

  The base options should have been registered with register_conf_options before this function is called.

  Parameters:

    - conf (oslo_config.cfg.ConfigOpts) – A conf object.

    - group (str) – The group name that options should be read from.

  Returns:

    An authentication Plugin or None if a name is not provided

  Return type:

    `keystoneauth1.plugin.BaseAuthPlugin`

  Raises:

    keystoneauth1.exceptions.auth_plugins.NoMatchingPlugin – if a plugin cannot be created.

keystoneauth1.loading.conf.register_conf_options(conf: cfg.ConfigOpts, group: str) → None

  Register the oslo_config options that are needed for a plugin.

  This only registers the basic options shared by all plugins. Options that are specific to a plugin are loaded just before they are read.

  The defined options are:

  > - auth_type: the name of the auth plugin that will be used for

  >     authentication.

  > - auth_section: the group from which further auth plugin options should be

  >     taken. If section is not provided then the auth plugin options will be taken from the same group as provided in the parameters.

  Parameters:

    - conf (oslo_config.cfg.ConfigOpts) – config object to register with.

    - group (string) – The ini group to register options in.

this page last updated: 2026-03-25 21:01:07

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug